﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Documents.Excel;
using Infragistics.Win.UltraWinSchedule;

namespace WS_ExportToExcel
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.Appointments.
                Add(new Appointment(DateTime.Now, DateTime.Now.AddHours(1)));
            ultraCalendarInfo1.Appointments.
                Add(new Appointment(DateTime.Now.AddHours(2), DateTime.Now.AddHours(3)));
            ultraCalendarInfo1.Appointments.
                Add(new Appointment(DateTime.Now.AddHours(3), DateTime.Now.AddHours(4)));
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            using (var g = ultraDayView1.CreateGraphics())
            {
                using (Bitmap bmp = new Bitmap(ultraDayView1.Width, ultraDayView1.Height))
                {
                    ultraDayView1.DrawToBitmap(bmp,
                        new Rectangle(0, 0, ultraDayView1.Width, ultraDayView1.Height));

                    Workbook book = new Workbook(WorkbookFormat.Excel2007);
                    string filename = @"..\..\UltraDayViewImages.xlsx";

                    var worksheet = book.Worksheets.Add("Schedule Book");
                    WorksheetImage imageShape = new WorksheetImage(bmp);

                    imageShape.TopLeftCornerCell = worksheet.Rows[0].Cells[0];
                    imageShape.TopLeftCornerPosition = new PointF(0.0F, 0.0F);

                    imageShape.BottomRightCornerCell = worksheet.Rows[18].Cells[7];
                    imageShape.BottomRightCornerPosition = new PointF(100.0F, 100.0F);

                    worksheet.Shapes.Add(imageShape);

                    book.Save(filename);
                    Process.Start(filename);
                    
                }
            }
        }
    }
}
